package server

import (
	"fmt"
	"net/http"

	"github.com/gin-gonic/gin"
)

func StartServer(router *gin.Engine, cfg *config.Config) {
	addr := fmt.Sprintf(":%s", cfg.ServerPort)
	fmt.Printf("Starting server on %s\n", addr)
	if err := router.Run(addr); err != nil {
		panic(err)
	}
}
